Bug 28749 - keys that dont work in X
Summary: keys that dont work in X
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-21 22:58 UTC by Jeff Lane
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-22 12:27:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeff Lane 2001-02-21 22:58:21 UTC
The following keys do not work (these are the ones that I found so far)

In gnome terminal, rxvt,
Delete, End

In xterm
Insert, Delete

These keys do work in console.  In X, I get the ~ beep error.  Possibly
incorrect keymap?

locale says this:[root@jay linux-2.4]# locale
LANG=en_US
LC_CTYPE="en_US"
LC_NUMERIC="en_US"
LC_TIME="en_US"
LC_COLLATE="en_US"
LC_MONETARY="en_US"
LC_MESSAGES="en_US"
LC_PAPER="en_US"
LC_NAME="en_US"
LC_ADDRESS="en_US"
LC_TELEPHONE="en_US"
LC_MEASUREMENT="en_US"
LC_IDENTIFICATION="en_US"
LC_ALL=

/etc/sysconfig/keyboard says:

KEYBOARDTYPE="pc"
KEYTABLE="us"

XFree86.log says:(**) |-->Input Device "Keyboard0"
(**) Option "XkbRules" "xfree86"
(**) XKB: rules: "xfree86"
(**) Option "XkbModel" "pc101"
(**) XKB: model: "pc101"
(**) Option "XkbLayout" "us"
(**) XKB: layout: "us"

Comment 1 Harald Hoyer 2001-02-22 12:27:25 UTC
changed 
bash-2.04-17.src.rpmn
curses-5.2-7.src.rpm
termcap-11.0.1-7.src.rpm

to cope with rxvt's end and backspace settings

Comment 2 Preston Brown 2001-02-23 20:50:48 UTC
all fixed in the current tree.


Note You need to log in before you can comment on or make changes to this bug.